## ros-galactic-phidgets-high-speed-encoder 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(phidgets_high_speed_encoder)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)
find_package(phidgets_api REQUIRED)
find_package(phidgets_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)

include_directories(include)

add_library(phidgets_high_speed_encoder SHARED src/high_speed_encoder_ros_i.cpp)
ament_target_dependencies(phidgets_high_speed_encoder
  phidgets_api
  phidgets_msgs
  rclcpp
  rclcpp_components
  sensor_msgs
)

rclcpp_components_register_nodes(phidgets_high_speed_encoder
  "phidgets::HighSpeedEncoderRosI")

install(TARGETS phidgets_high_speed_encoder
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY include/
  DESTINATION include
)

install(DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-galactic-phidgets-high-speed-encoder (2.2.3-1focal) focal; urgency=high

  * Merge pull request #132 <https://github.com/ros-drivers/phidgets_drivers/issues/132> from mintar/feat-pre-commit-ros2
    [galactic] Add pre-commit, move from travis to GitHub actions, fix style
  * Fix clang-format
  * BUGFIX: duplicated values for all encoders (#126 <https://github.com/ros-drivers/phidgets_drivers/issues/126>)
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 13 Apr 2022 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (2.2.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 17 Feb 2022 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (2.2.1-1focal) focal; urgency=high

  * Update the ROS 2 readme files. (#93 <https://github.com/ros-drivers/phidgets_drivers/issues/93>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 03 Aug 2021 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (2.2.0-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 20 May 2021 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (2.1.0-1focal) focal; urgency=high

  * Get rid of deprecation warnings in Foxy. (#75 <https://github.com/ros-drivers/phidgets_drivers/issues/75>)
  * Switch header guards to _HPP SUFFIX.
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Mar 2021 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (2.0.2-1focal) focal; urgency=high

  * Release build fixes (#67 <https://github.com/ros-drivers/phidgets_drivers/issues/67>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 01 Jun 2020 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (2.0.1-1focal) focal; urgency=high

  * Switch the buildtoo_depend to ament_cmake_ros. (#65 <https://github.com/ros-drivers/phidgets_drivers/issues/65>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 05 Dec 2019 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (2.0.0-1focal) focal; urgency=high

  * Switch from NULL to nullptr.
  * Update READMEs to use "Published Topics" and "Subscribed Topics". (#59 <https://github.com/ros-drivers/phidgets_drivers/issues/59>)
  * Change launch output to "both" so it logs as well.
  * Make publish_rate a double.
  * Print out the serial number when connecting.
  * Port high speed encoder to ROS 2.
  * Ignore all packages for ROS 2 port.
  * Update maintainers in package.xml
  * Merge pull request #39 <https://github.com/ros-drivers/phidgets_drivers/issues/39> from clalancette/add-libphidget22
  * Add launch files for all drivers.
  * Add in try/catch blocks for connecting.
  * Fixes from review.
  * Documentation updates to README.md
  * Set the publish_rate to 0 by default.
  * Add in the license files and add to the headers.
  * Remove nodes in favor of nodelets.
  * Fix a small typo.
  * Rewrite High Speed Encoder to use libphidget22.
  * Rename Phidget class to Phidget21 class.
  * Switch to C++14.
  * Remove unused std_msgs dependency from Phidgets High Speed Encoder.
  * Merge pull request #36 <https://github.com/ros-drivers/phidgets_drivers/issues/36> from clalancette/phidget-cleanup2
  * Run clang-format on the whole codebase.
  * Switch to C++14 everywhere.
  * Split custom messages into their own package.
  * Rewrite the high speed encoder node.
  * Change API from separate open/waitForAttachment to openAndWaitForAttachment.
  * Small cleanups throughout the code.
  * Style cleanup.
  * Switch to package format 2.
  * Cleanup spacing in all of the CMakeLists.txt
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 05 Dec 2019 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (0.7.9-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 28 Jun 2019 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (0.7.8-1focal) focal; urgency=high

  * phidgets_high_speed_encoder: fix missing tick2rad values (#30 <https://github.com/ros-drivers/phidgets_drivers/issues/30>)
  * Contributors: Charles Brian Quinn

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 06 May 2019 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (0.7.7-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 18 Sep 2018 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (0.7.6-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 09 Aug 2018 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (0.7.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 31 Jan 2018 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (0.7.4-1focal) focal; urgency=high

  * Merge pull request #15 <https://github.com/ros-drivers/phidgets_drivers/issues/15> from jlblancoc/kinetic
    Add Phidgets high-speed encoder package
  * Contributors: Jose Luis Blanco-Claraco, Geoff Viola, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 04 Oct 2017 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (0.7.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 30 Jun 2017 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (0.7.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 02 Jun 2017 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (0.7.1-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 22 May 2017 00:00:00 -0000

ros-galactic-phidgets-high-speed-encoder (0.7.0-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 17 Feb 2017 17:40:00 -0000

ros-galactic-phidgets-high-speed-encoder (0.2.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 17 Feb 2017 12:11:00 -0000



=== debian/control ===
Source: ros-galactic-phidgets-high-speed-encoder
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake-ros, ros-galactic-phidgets-api, ros-galactic-phidgets-msgs, ros-galactic-rclcpp, ros-galactic-rclcpp-components, ros-galactic-sensor-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-phidgets-high-speed-encoder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-launch, ros-galactic-phidgets-api, ros-galactic-phidgets-msgs, ros-galactic-rclcpp, ros-galactic-rclcpp-components, ros-galactic-sensor-msgs, ros-galactic-ros-workspace
Description: Driver for the Phidgets high speed encoder devices

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-phidgets-high-speed-encoder//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
